Skip to navigation

Delete Quote

Permanently deletes a specific quote based on the provided quote_id.

If you want to hide a quote from a buyer without deleting it, you can archive it by sending "status": "archived" in the request body of the Update a Quote endpoint. You can also archive quotes from the Quotes area of your B2B Edition control panel. See Managing Sales Quotes in B2B Edition (Help Center) for more information.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

quote_idintegerRequired
The internal numeric ID of the sales quote.

Response

OK
codedoubleOptional
HTTP Response Code
dataobjectOptional
metaobjectOptional